/*
 * @(#)src/classes/sov/org/omg/CORBA/portable/ValueBase.java, orb-api, xs21411, 20040109 1.7.2.1
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM SDK, Java(tm) 2 Technology Edition, v1.4.1
 * (C) Copyright IBM Corp. 1998, 2002. All Rights Reserved
 * ===========================================================================
 */

/*
 * ===========================================================================
 * Copyright 2002 Sun Microsystems, Inc. All rights reserved.
 * ===========================================================================
 */


/*
*
* Change activity:
*
* Reason Date   Origin Description
* ------ ----   ------ ----------------------------------------------------
*  40804 020204 hdtjb  Add IBM module header; Sun original version 1.8
*
* ===========================================================================
* Module Information:
*
* DESCRIPTION: org.omg classes
* ===========================================================================
*/


/*
 * RMI-IIOP v1.0
 *
 */

package org.omg.CORBA.portable;
/**
 * The generated Java classes corresponding to valuetype IDL types
 * implement this interface. In other words, the Java mapping of
 * valuetype objects implement the ValueBase interface. The generated
 * Java class for valuetype's shall provide an implementation of the
 * ValueBase interface for the corresponding value type.
 * For value types that are streamable (i.e. non-custom),
 * the generated Java class shall also provide an implementation
 * for the org.omg.CORBA.portable.Streamable interface.
 * (CORBA::ValueBase is mapped to java.io.Serializable.)
 */
public interface ValueBase extends IDLEntity {
    /**
     * Provides truncatable repository ids.
     * @return a String array--list of truncatable repository ids.
     */
    String[] _truncatable_ids();
}
